# Compaq TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents | Index

Using automounting, this command mounts the `/usr` file system from `sigma` onto the OpenVMS mount point when it references the path name. The client keeps the path mounted for an inactive period of 10 minutes, after which it dismounts the path name.

#3
    TCPIP> MOUNT DNFS4: /HOST="sigma" /PATH="/usr" -
    _TCPIP> /BACKGROUND=(DEL:00:01:00,RET:20) /RETRIES=4

> Attempts to mount the `/usr` file system. If it cannot, it waits 1 minute and retries the connection up to 20 times.

#4
    TCPIP> MOUNT DNFS5:[USERS.MNT] /HOST="sigma" /PATH="/usr"
    %DNFSMOUNT-S-MOUNTED, /usr mounted on _DNFS5:[USERS.MNT]

    TCPIP> MOUNT DNFS5:[USERS.MNT] /HOST="sigma" /PATH="/usr/users" /FORCE
    %DNFSMOUNT-S-REMOUNTED, _DNFS5:[USERS.MNT] remounted as /usr/users on SIGMA

> Specifies a lower level in the NFS server path with the second mount. This constitutes another path name and qualifies for an overmount.

#5
    TCPIP> MOUNT DNFS22:[USERS.SMITH.MNT] /HOST="sigma" /PATH="/usr"
    %DNFSMOUNT-S-MOUNTED, /usr mounted on _DNFS22:[USERS.SMITH.MNT]

    TCPIP> MOUNT DNFS22:[USERS.SMITH] /HOST="sigma" /PATH="/usr" /FORCE
    %DNFSMOUNT-S-MOUNTED, /usr mounted on _DFS22:[USERS.SMITH]
    %TCPIP-I-OCCLUDED, previous contents of _DNFS22:[USERS.SMITH] occluded

> The /FORCE qualifier performs an occluded mount. If you issue the DIRECTORY command, the NFS client occludes (hides from view) the subdirectory dropped from the first MOUNT command.

> To make the directory visible again, either issue the SHOW MOUNT command (both mounts will be visible) or dismount DNFS22:[USERS.SMITH].

# PING

> Sends ICMP ECHO packets to hosts to determine whether they are active. Same as the LOOP command.

## Format

> PING [ host ]
> [ /ADDRESS=xx.xx.xx.xx ]
> [ /ALL ]
> [ /FULL ]
> [ /NUMBER_PACKETS=n ]
> [ /PACKET_SIZE=n ]
> [ /PATTERN="hexadecimal-string" ]
> [ /[NO]ROUTE ]
> [ /WAIT=n ]

## Parameters

> ### host

> Specifies the host to which the test packets are sent.
> Omitting host tests the TCP/IP Services software on the local node, as defined by the system logical TCPIP$INET_HOST.

## Qualifiers

> ### /ADDRESS=xx.xx.xx.xx

> Optional.

> Specifies the IP address of the host to which the test packets are sent.

> ### /ALL

> Optional. Default: Not all requests.

> Displays all ICMP ECHO_REQUESTs, even if not in direct response to this operation.

> ### /FULL

> Optional.

> Numeric output only. No attempt is made to look up symbolic names for host addresses. This occurs only when displaying ICMP packets other than ECHO_RESPONSE.

> ### /NUMBER_PACKETS=n

> Optional. Default: 4 packets

> Specifies the number of packets to send. If you specify 0, packets are sent continuously until you terminate it with Ctrl/C.

> ### /PACKET_SIZE=n

> Optional. Default: 64 bytes.

> Specifies the size of the ICMP ECHO_REQUEST.

> ### /PATTERN="hexadecimal-string"

> Optional.

> Fills out the packet you send with up to 16 bytes, which is useful for diagnosing data-dependent problems. The string is a hexadecimal string of up to 32 characters (16 bytes).

> For example, /PATTERN="ff" causes the sent packet to be filled with ones (1).

> ### /ROUTE

> ### /NOROUTE

> Optional. Default: /ROUTE.

> /ROUTE | Request is routed through the normal routing tables.
> /NOROUTE | Normal routing tables are bypassed. If the host is not on the LAN, you get an error.

> ### /WAIT=n

> Optional.

> Specifies the number of seconds to wait between sending packets.

##

### Examples

#1
    TCPIP> PING dented

> Specifies that the local host test the connectivity path to host `dented` .

# REMOVE DIRECTORY

> Removes a link to a directory within a UNIX container directory. If there are no other links to it, the directory is deleted.

> Related commands: CREATE DIRECTORY, DIRECTORY

> Applies to: NFS server

## Format

> REMOVE DIRECTORY "/path/name"

### restrictions

> Requires:
> - Read and write access to the parent directory
> - BYPASS privilege

## Parameters

> ### "/path/name"

> Required.

> Directory with the link you want to remove.

##

### Examples

#1
    TCPIP> REMOVE DIRECTORY "/eagles/eaglet"

> Removes a link to the directory `/eagles/eaglet` .

# REMOVE EXPORT

> Deletes directory names from the export database so that they are not available for mounting by an NFS client.

> Related commands: ADD EXPORT, SHOW EXPORT, MAP, SET CONFIGURATION MAP, SET CONFIGURATION NOMAP, SHOW MAP, SHOW CONFIGURATION MAP

> Applies to: NFS server

## Format

> REMOVE EXPORT "/path/name"
> [ /[NO]CONFIRM ]
> [ /HOST=host ]

### restrictions

> Requires read and write access to the export database.

## Parameters

> ### "/path/name"

> Required.

> Directory name to delete from the export database.

## Qualifiers

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> When the software encounters a match, it displays a description and solution and then requests confirmation before deleting each record. Enter one of the following:

> - Y to delete the record
> - N to save the record

> ### /HOST=host

> Optional. Default: /HOST=* (all hosts).

> Host, running NFS client, that will become unable to access the specified container directory.

> Format for multiple hosts:

> /HOST=("host0","host1", "host2")

##

### Examples

#1
    TCPIP> REMOVE EXPORT "/house/finch"

> Removes the name of container directory `/house/finch` from the export database. This directory is now inaccessible to NFS client users.

#2
    TCPIP> REMOVE EXPORT "/oceans/swamps" /HOST=("tern","crane")

> Modifies the accessibility of local UNIX directory `/oceans/swamps` . This directory is now unavailable to users working on hosts `tern` and `crane` , which run NFS client software.

# REMOVE FILE

> Removes a link to a file within a container directory. If there are no other links to it, the file is deleted.

> Related commands: DIRECTORY, REMOVE DIRECTORY

> Applies to: NFS server

## Format

> REMOVE FILE "/path/name"

### restrictions

> Requires:
> - Read and write access to the parent directory
> - BYPASS privilege

## Parameters

> ### "/path/name"

> Required.

> File with the link you want to remove.

##

### Examples

#1
    TCPIP> REMOVE FILE "/peacock/feather.care/preening"

> Removes the NFS link to the file `preening` .

# REMOVE MAIL

> Deletes mail messages from SMTP queues.

> Without the user parameter, all messages from the user name that correspond to your process's user name are deleted.

> Related commands: SEND MAIL, SHOW MAIL

> Applies to: SMTP

## Format

> REMOVE MAIL [ user ]
> [ /[NO]COPY=[directory] ]
> [ /[NO]CONFIRM ]
> [ /ENTRY=n ]

### restrictions

> Requires SYSPRV or BYPASS privilege for mail messages that are not yours.

## Parameters

> ### user

> Optional. Default: All mail messages with your process's user name.

> Removes messages sent from the specified user name.

## Qualifiers

> ### /COPY=[directory]

> ### /NOCOPY=[directory]

> Optional. Default: Messages copied to the user's default directory.

> Copies messages to be deleted to the specified directory.

> /NOCOPY: Messages are not copied.

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Defaults:
> - With an entry number specified --- /NOCONFIRM
> - Without an entry number specified --- /CONFIRM

> If you omit an entry number, requests confirmation before deleting each message. Enter:

> - Y to delete the mail message
> - N to save the mail message
> - G to change to NO CONFIRMATION mode

> ### /ENTRY=n

> Optional. Default: All.

> Queue entry numbers to remove from the SMTP queue.

##

### Examples

#1
    TCPIP> REMOVE MAIL

> Removes all messages for your process's user name, or deletes everything in the SMTP queue if you have either SYSPRV or BYPASS privilege.

#2
    TCPIP> REMOVE MAIL /ENTRY=781

> Removes message 781, if it corresponds to your process's user name, or if you have either SYSPRV or BYPASS privilege.

#3
    TCPIP> REMOVE MAIL BROOD

> Removes all messages for BROOD, if your process's user name is BROOD, or if you have either SYSPRV or BYPASS privilege.

#4
    TCPIP> REMOVE MAIL /USER_NAME=COCKATOO /COPY=[COCKATOO.OLD_MAIL]

> Removes all messages for COCKATOO, if this is your process's user name, or if you have either SYSPRV or BYPASS privilege. Before deletion, copies this queued mail to the specified directory.

# REMOVE PROXY

> Deletes entries from the volatile and permanent proxy database.

> Related commands: ADD PROXY, SHOW PROXY

> Applies to: NFS server, NFS client, PC-NFS, remote shell, LPR/LPD, and customer-developed services

## Format

> REMOVE PROXY [ user_name ]
> [ /COMMUNICATION ]
> [ /[NO]CONFIRM ]
> [ /GID=n ]
> [ /HOST=host ]
> [ /NFS=options ]
> [ /PERMANENT ]
> [ /REMOTE_USER=user ]
> [ /UID=n ]

### restrictions

> Requires:
> - Read and write access to the proxy database
> - One of the following privileges:
>   - SYSPRV
>   - SYSLCK
>   - OPER

## Parameters

> ### user_name

> Optional. Default: All entries (REMOVE PROXY *).

> Deletes the specified entries from the proxy database.

## Qualifiers

> ### /COMMUNICATION

> Optional. Default: Both communication and NFS entries.

> Deletes communication (non-NFS) proxies.

> ### /CONFIRM

> ### NOCONFIRM

> Optional. Default: /CONFIRM with wildcards.

> Requests confirmation before deleting records. Enter one of the following:

> - Y to delete the record
> - N to save the record
> - G to change to NO CONFIRMATION mode

> ### /GID=n

> Optional. Default: All GIDs.

> Deletes only proxies for the specified group identifier (GID).

> ### /HOST=host

> Optional. Default: All hosts.

> Deletes only proxies for the specified host.

> ### /NFS=INCOMING

> ### /NFS=OUTGOING

> Optional. Default: /NFS=(INCOMING,OUTGOING).

> Deletes an NFS proxy. Specify one of the following:

> /NFS=OUTGOING | Proxy to use NFS client
> /NFS=INCOMING | Proxy to use NFS server
> /NFS=(OUTGOING,INCOMING) | Proxy to use NFS client and NFS server

> ### /PERMANENT

> Optional. Default: None.

> Deletes entries only from the permanent proxy database.

> ### /REMOTE_USER=user

> Optional. Default: None.

> Deletes entries for the specified remote user name.

> ### /UID=n

> Optional. Default: All UIDs.

> Limits the search of entries to delete to proxies for the specified UID.

##

### Examples

#1
    TCPIP> REMOVE PROXY "peacock" /HOST=GOLDEN /UID=83

> Removes authorization for UID 83 on host GOLDEN from OpenVMS account `peacock` .

#2
    TCPIP> REMOVE PROXY /HOST=GOLDEN /UID=83

> Removes authorization for UID 83 from host GOLDEN.

#3
    TCPIP> REMOVE PROXY /HOST=("goose","grouse")

> Removes authorization for all users on hosts `goose` and `grouse` .

#4
    TCPIP> REMOVE PROXY /UID=83

> Totally removes authorization for UID 83.

#5
    TCPIP> REMOVE PROXY VMS_USER /REMOTE=PARTRIDGE /HOST=*

> Removes authorization for remote user PARTRIDGE on all hosts.

# SEND MAIL

> Requeues a mail message for delivery. Releases jobs that are in a hold state.

> Related commands: REMOVE MAIL, SHOW MAIL

> Applies to: SMTP

## Format

> SEND MAIL [ user ]
> [ /AFTER=time ]
> [ /[NO]CONFIRM ]
> [ /ENTRY=n ]

### restrictions

> SYSPRV or BYPASS privilege required to requeue mail messages that do not correspond to your process's user name.

## Parameters

> ### user

> Optional. Default: All.

> Requeues messages sent from the specified user name.

## Qualifiers

> ### /AFTER=time

> Optional. Default: Immediate delivery attempt.

> Time after which delivery is to be attempted.

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Defaults:
> - With an entry number specified --- /NOCONFIRM
> - Without an entry number specified --- /CONFIRM

> Requests confirmation before deleting each message when you omit an entry number. Enter one of the following:

> - Y to delete the message
> - N to save the message
> - G to change to NO CONFIRMATION mode

> ### /ENTRY=n

> Optional.

> Queue number of the mail message to be re-queued for delivery.

# SET ARP

> Maps between an IP address and either an Ethernet or a FDDI address. SET NOARP removes an address-mapping pair.

> Related command: SHOW ARP

## Formats

> SET ARP mac_address
> [ host_name | IP_address ]
> [ [/[NO]PERMANENT ]
> [ /[NO]PUBLIC ]

> SET NOARP [ host_name|IP_address]

### restrictions

> Requires OPER privilege.

## Parameters

> ### mac_address

> Required.

> Specifies the physical Ethernet or FDDI address to be mapped to an IP address. Not valid with SET NOARP.

> ### host_name

> Optional.

> Specifies the host on which the targeted interface resides. If you do not supply a host name, you must supply its IP address.

> ### IP_address

> Optional.

> Specifies the 32-bit address that identifies the network and host. If you do not specify the host's IP address, you must specify its host name.

> You cannot use wildcards.

## Qualifiers

> ### /PERMANENT

> ### /NOPERMANENT

> Optional. Default: /PERMANENT.

> Specifies whether the mapping information is cached.

> /NOPERMANENT removes ARP mapping after the caching interval.

> Not valid with SET NOARP.

> ### /PUBLIC

> ### /NOPUBLIC

> Optional. Default: /PUBLIC.

> Specifies whether the local ARP responds to ARP requests from other hosts to the specified host.

> /NOPUBLIC maps only for the local host.

> Not valid with SET NOARP.

##

### Examples

#1
    TCPIP> SET ARP AA-BB-04-05-06-07 CONDOR

> Permanently maps CONDOR's host name to FDDI address AA-BB-04-05-06-07.

# SET BOOTP

> Creates client entries in the BOOTP database.

> SET NOBOOTP does not require any qualifiers.

> Related commands: CONVERT/VMS BOOTP, SHOW BOOTP

## Format

> SET [NO]BOOTP host
> [ /FILE=file]
> /HARDWARE=ADDRESS=hex_address
> [ /GATEWAYS=hosts ]
> [ /NETWORK_MASK=IP_address ]
> [ /SERVERS=type=host ]
> [ /TIME_OFFSET=seconds ]

### restrictions

> Requires read, write, and delete access to the BOOTP database.

## Parameters

> ### host

> Required.

> Specifies the client to which your system will download files upon request. Enter a host name or IP address.

## Qualifiers

> ### /FILE=file

> Optional.

> Specifies the name of the client's system image or other file to download upon request.

> - By default, upon receiving a request, BOOTP looks for this file in TCPIP$TFTP_ROOT:[host], where host is the client's host name, excluding the domain.
> - If this directory does not exist, BOOTP uses:

>       TCPIP$TFTP_ROOT:[000000].

> - When the TCP/IP Services software receives a boot request, BOOTP verifies the existence and size of this file.

> ### /GATEWAYS=hosts

> ### /NOGATEWAYS=hosts

> Optional. Default: None.

> Specifies the gateways used for routing.

> ### /HARDWARE=ADDRESS=hex_addr

> Required.

> Specifies the client's hardware address. For hex_addr, specify: hh-hh-hh-hh-hh-hh.

> ### /NETWORK_MASK=IP_address

> Required if you use subnets; otherwise optional.

> Specifies the part of the host field of an IP address identified as the subnet.

> The software calculates the default by setting the following:

> - The bits representing the network field to 1
> - The bits representing the host field to 0

> You can divide the host field into a site-specific subnetwork and a host field. If you use subnets, you must specify a subnet field.

> ### /SERVERS=type=host

> Optional.

> Specifies other servers whose names BOOTP can supply to clients. Here, host specifies a host name or IP address and type can be one or more of the following:

> [NO]COOKIE | Cookie server
> [NO]IEN_NAME | IEN-116 name server
> [NO]IMPRESS | Impress network image server (IMAGEN)
> [NO]LPR | Berkeley 4BSD print server
> [NO]LOG | MIT-LCS UDP logging server
> [NO]NAME | BIND name server
> [NO]RESOURCE | Resource Location Protocol (RLP) server (RFC-887)
> [NO]TIME | Internet time server (RFC-868)

> ### /TIME_OFFSET=seconds

> Optional. Default: 0 seconds.

> Specifies the time difference, in seconds, between the client's time zone and Universal Coordinated Time (UTC) expressed in seconds. This value is zero (0) in the British Isles and parts of Europe, a positive number for locations east of the zero meridian, and a negative number for locations west of the zero meridian.

##

### Examples

#1
    TCPIP> SET BOOTP PLOVER /HARDWARE=ADDRESS=08-00-2D-20-23-21 -
    _TCPIP> /FILE=PLOVER.SYS

> Adds client host PLOVER, with hardware address 08-00-2D-20-23-21 to the BOOTP database. BOOTP can respond to a remote boot request from client PLOVER with a reply packet containing the name of the file to down load and its IP address.

#2
    TCPIP> SET BOOTP ERN /HARDWARE=ADDRESS=98-00-2D-20-23-21 -
    _TCPIP> /SERVERS=COOKIE=(PLOVER,GULL)

> Adds client host ERN to the BOOTP database and specifies that ERN will use PLOVER AND GULL as cookie servers.

#3
    TCPIP> SET BOOTP  PLOVER /HARDWARE=ADDRESS=08-00-2D-20-23-21 -
    _TCPIP> /SERVERS=(COOKIE=GULL,NAME=BIRDS)

> Adds client host PLOVER to the BOOTP database and specifies that PLOVER will use GULL as a COOKIE server and BIRDS as its name server.

Previous | Next | Contents | Index